## dwww 1.9.16

=== Makefile ===
#
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile,v 1.26 2003/09/02 20:02:00 robert Exp $"
#

VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')

CC	= gcc
CFLAGS	= -Wall -Wstrict-prototypes -Wmissing-prototypes -DVERSION='"$(VERSION)"' 
LDFLAGS	=
LIBS	= -lpub


ifeq (,$(findstring nodebug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  LDFLAGS += -s
endif


prefix		= debian/dwww

bindir		= $(prefix)/usr/bin
sbindir		= $(prefix)/usr/sbin
libdir		= $(prefix)/usr/share/dwww
htmldir		= $(prefix)/var/lib/dwww/html
docdir		= $(prefix)/usr/share/doc/dwww
etcdir		= $(prefix)/etc
etcdwwwdir 	= $(prefix)/etc/dwww
varlibdir  	= $(prefix)/var/lib/dwww
man1dir		= $(prefix)/usr/share/man/man1
man8dir		= $(prefix)/usr/share/man/man8
cachedir 	= $(prefix)/var/cache/dwww
webdocrootdir 	= $(prefix)/var/www
webcgidir	= $(prefix)/usr/lib/cgi-bin
perlmoddir=$(prefix)/usr/share/perl5/Debian/Dwww

perlmodules	= Dwww/*.pm
source_links	= Debian


links_end	= dwww-convert.dir.end dwww-convert.end dwww-find.end 

lib		= lib/[!Ceio]* lib/img/[!C]*
editorial	= lib/editorial/*.html
bin		= realpath dwww
cgi		= dwww.cgi
sbin		= dwww-convert dwww-build dwww-cache dwww-find \
		  dwww-quickfind  dwww-txt2html dwww-format-man \
		  dwww-build-menu dwww-index++
doc		= README TODO
man1		= man/*.1
man8		= man/*.8

generated	= realpath dwww-cache dwww-quickfind dwww-txt2html \
		  Dwww/Version.pm functions.sh

perlprogs       = dwww-find dwww-build-menu dwww-index++
testprogs       := $(patsubst %,%.test,$(perlprogs))

all: $(source_links) $(generated)


%::%.in $(source_links)
	perl -pe '				\
		use lib "."; 			\
		use Debian::Dwww::Initialize; 	\
		$$d=&DwwwInitialize;		\
		foreach $$k (keys %{$$d}) {	\
			s/#$$k#/$$d->{$$k}/g;	\
		}				\
		s/#VERSION#/$(VERSION)/g; ' 	\
	  < $< > $@
	touch -r $< $@



dwww-txt2html: dwww-txt2html.o utils.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

realpath: realpath.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

dwww-cache: dwww-cache.o utils.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
	
dwww-quickfind: dwww-quickfind.o utils.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
	
debug:
	DEB_BUILD_OPTIONS=noopt,nostrip $(MAKE) all


Debian:
	ln -s . $@

clean:
	rm -f $(source_links)
	rm -f core *.o $(generated)
	rm -f $(testprogs)


installdirs:
	for i in $(prefix) $(prefix)/usr $(prefix)/var $(prefix)/var/lib \
	  $(etcdir) $(etcdwwwdir) $(libdir) $(varlibdir) $(bindir) $(sbindir) \
	  $(docdir) $(man1dir) $(man8dir) $(cachedir) \
	  $(webdocrootdir) $(webcgidir) $(perlmoddir) \
	  $(htmldir) ; \
	do  \
		echo "$$i"; \
		test -d $$i || install -p -d $$i; \
	done

install: installdirs
	install -p -m 0644 $(lib) $(libdir)
	for i in $(links_end) ; do \
		ln -sv dwww.end $(libdir)/$$i; \
	done

	install -p -m 0644 functions.sh $(libdir)
#	chmod a+x $(libdir)/dwww.cgi
#	rm -f $(cgidir)/dwww
#	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
#	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
	install -p -m 0755 $(cgi) $(webcgidir)/dwww
	ln -s /var/lib/dwww/html $(webdocrootdir)/dwww
	install -p -m 0755 $(bin) $(bindir)
	install -p -m 0755 $(sbin) $(sbindir)
	install -p -m 0644 $(perlmodules) $(perlmoddir)
	install -p -m 0644 $(doc) $(docdir)
	install -p -m 0644 $(man1) $(man1dir)
	install -p -m 0644 $(man8) $(man8dir)

%.test::%
	rm -f $@
	echo "#!/usr/bin/perl" > $@
	echo "use lib \".\";"  >> $@
	sed -e 's/\/usr\/share\/dwww/lib/g'  $< >> $@
	chmod 555 $@

test: $(testprogs) $(source_links)

.PHONY: all debug clean install installdirs test

=== debian/changelog ===
dwww (1.9.16) unstable; urgency=low

  * dwww.menu-method: rename repeat_lang to outputlanguage (closes: #282494).
  * lib/menu.end: temporaily removed link to the "errors & warnings" page 
    (but the page itself is still generated); I will restore it after sarge is
    released. 
    BTW. I think it should be lintian (or linda) job to report errors in 
    doc-base files.

 -- Robert Luberda <robert@debian.org>  Tue, 23 Nov 2004 20:25:02 +0100

dwww (1.9.15) unstable; urgency=low

  * Rebuild for unstable.

 -- Robert Luberda <robert@debian.org>  Thu, 26 Aug 2004 20:48:05 +0200

dwww (1.9.14) testing-proposed-updates; urgency=low

  * Fix bad English grammar in debconf templates (closes: #265658).
    Thanks to Julian Mehnle <julian@mehnle.net> for the patch!
  * Run debconf-updatepo and manually remove any `#,fuzzy' marks.
  * README: added short note about the cgi module disabled by default
    in apache2 (closes: #262328).
  * Put some stupid ;-) comment at the top of dwww.cgi in case of
    it would be displayed instead of executed...

 -- Robert Luberda <robert@debian.org>  Thu, 26 Aug 2004 19:39:54 +0200

dwww (1.9.13) unstable; urgency=low

  * New, simplified front page layout (closes: #253403)
    Many thanks to August Mayer <amayer@cosy.sbg.ac.at> for this!
  * Allow `+' in mail addresses (closes: #261215).

 -- Robert Luberda <robert@debian.org>  Thu, 29 Jul 2004 23:42:39 +0200

## dwww 1.9.21

=== debian/changelog ===
dwww (1.9.21) unstable; urgency=medium

  * dwww-find: surround the search argument passed to man or dpkg with
    quotation marks.
  * dwww-find: add <h2> header on the reg. docs search results page
    to make it look like other pages.
  * Utils.pm: remove some unnecessary spaces.

 -- Robert Luberda <robert@debian.org>  Fri,  6 May 2005 22:49:24 +0200

dwww (1.9.20) unstable; urgency=low

  * Add two new cache files: one for caching parsed contents of the doc-base
    files and the second one for mapping doc-base files names to package
    names.
  * Introduced the new script: dwww-refresh-cache to generate the second of
    the above mentioned cache and to manage the cache directory in general.
  * dwww-build-menu:
    + generate the first of above mentioned files while building the menu
    + use the second cache file to display links to packages including
      the doc-base files.
  * dwww-find: make use of the first cache file and add the "Registered
    documentation" section to program/package search output page.
  * dwww-refresh-cache: clear possible temporary files generated by index++
    in case dwww-index++ was interrupted.
  * dwww.cron.daily: simplified; call dwww-refesh-cache.
  * Updated dwww(8) man page.
  * Makefile, functions.sh.in: simplified generation of the dwww variables
    set in the functions.sh script.
  * dwww-convert: redirect error output of man program to /dev/null not to
    clutter the web server log files with bogus "reformatting..." messages.

 -- Robert Luberda <robert@debian.org>  Sat,  9 Apr 2005 17:42:46 +0200

dwww (1.9.19) unstable; urgency=low

  * lib/man-in-section.start: correct logo image height.
  * dwww-build: a few missing sections descriptions.
  * lib/menu*: make menu background colour darker, so it's displayed on LCD
    monitors.
  * dwww-find: fix searching for a package or program when quickfind cache
    file is not available.
  * dwww-build.menu.8: update-menus man page is in the section 1, not 8.
  * swish++.conf: generate temporary files in /var/cache/dwww, not
    in /var/lib/dwww.

 -- Robert Luberda <robert@debian.org>  Thu,  7 Apr 2005 23:57:07 +0200

dwww (1.9.18) unstable; urgency=medium

  * Fix typo in the dwww(1) man page (closes: #302824).
  * dwww-build: added missing sections descriptions - extracted all manual
    sections from the Contents-i386.gz file and wrote their descriptions.
  * Replace the Debian logo with a better, PNG version stolen from the
    info2www package.
  * dwww-build-menu: don't display dwww warnings when doc-base file does
    not contain title or abstract fields.

 -- Robert Luberda <robert@debian.org>  Mon,  4 Apr 2005 08:06:31 +0200

dwww (1.9.17) unstable; urgency=low

  * Dwww/Initialize.pm: correct broken regexp used to read configuration file.
  * Move swish++ and quickfind.dat cache files to from /var/lib/dwww to
    /var/cache/dwww. Also change dwww-cache directory to /var/cache/dwww/db.
  * lib/menu* templates: change background colour of the left side menu to some
    nicer value.
  * Include /etc/dwww/apache.conf file symlinked from /etc/apache*/conf.d/dwww
    (closes: #298678).
  * dwww-index++:
    + add DWWW_INDEX_DOCUMENTATION variable to allow disabling documentation
      indexing.
    + use man2html's generated index of man pages when the another newly
      added configuration variable DWWW_MERGE_MAN2HTML_INDEX is set to `yes'.
    + split `Files:' field on spaces.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2005 11:06:34 +0100

=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 4.1.25), publib-dev
Standards-Version: 3.6.1

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
Recommends: info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian, swish++, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.


Package: realpath
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Replaces: dwww (<= 1.6.10)
Description: Return the canonicalized absolute pathname
 The package contains a small utility realpath, which converts each
 pathname argument to an absolute pathname, which has no components
 that are symbolic links or the special .  or ..  directory entries.
 .
 This utility provides mostly the same functionality as `/bin/readlink -f'
 in the coreutils package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs -p dwww		-Pdebian/tmp
	dh_installdirs -p realpath 	-Pdebian/tmp
	dh_installdirs -p dwww 		-Pdebian/dwww
	dh_installdirs -p realpath 	-Pdebian/realpath

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=$(CURDIR)/debian/tmp install

	install -p -m 0644 debian/dwww.lintian \
                        $(CURDIR)/debian/tmp/usr/share/lintian/overrides/dwww

	install -p -m 0644 apache.conf \
                        $(CURDIR)/debian/tmp/etc/dwww/apache.conf

	dh_install --sourcedir=debian/tmp -p realpath
	dh_install --sourcedir=debian/tmp -p dwww -X'realpath*'

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dwww 1.9.21osso

=== debian/changelog ===
dwww (1.9.21osso) unstable; urgency=low

  * build dependency to po-debconf added

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 30 Mar 2006 22:32:43 +0300

## dwww 1.9.21osso2+0m5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile,v 1.26 2003/09/02 20:02:00 robert Exp $"
+# "@(#)dwww:$Id: Makefile,v 1.27 2005/04/07 23:40:08 robert Exp $"
 #
 
 VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')
@@ -55,7 +55,7 @@
 cgi		= dwww.cgi
 sbin		= dwww-convert dwww-build dwww-cache dwww-find \
 		  dwww-quickfind  dwww-txt2html dwww-format-man \
-		  dwww-build-menu dwww-index++
+		  dwww-build-menu dwww-index++ dwww-refresh-cache
 doc		= README TODO
 man1		= man/*.1
 man8		= man/*.8
@@ -70,15 +70,9 @@
 
 
 %::%.in $(source_links)
-	perl -pe '				\
-		use lib "."; 			\
-		use Debian::Dwww::Initialize; 	\
-		$$d=&DwwwInitialize;		\
-		foreach $$k (keys %{$$d}) {	\
-			s/#$$k#/$$d->{$$k}/g;	\
-		}				\
-		s/#VERSION#/$(VERSION)/g; ' 	\
-	  < $< > $@
+	perl -e \
+		'use lib "."; use Debian::Dwww::Initialize; $$d=&DwwwInitialize; $$v=""; foreach $$k (sort keys %{$$d}) { $$v.="\t$$k=\"$$d->{$$k}\"\n" if $$k ne "DWWW_TITLE"; } while (<>) { s/#VERSION#/$(VERSION)/g; s/^.*#DWWWVARS#.*$$/$$v/g; print; }' \
+		< $< > $@
 	touch -r $< $@

=== debian/changelog ===
dwww (1.9.21osso2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Wed, 16 Sep 2009 14:08:20 +0300

dwww (1.9.21osso2) unstable; urgency=low

  * Tune top level Makefile not to crash on multiple line perl -e
    expression with make 3.81 (Fixes: NB#89532)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 16 Sep 2009 12:34:11 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 4.1.25), publib-dev
+Build-Depends: debhelper (>= 4.1.25), po-debconf, publib-dev
 Standards-Version: 3.6.1
 
 Package: dwww

## dwww 1.9.23

=== Makefile ===
--- 
+++ 
@@ -70,9 +70,21 @@
 
 
 %::%.in $(source_links)
-	perl -e \
-		'use lib "."; use Debian::Dwww::Initialize; $$d=&DwwwInitialize; $$v=""; foreach $$k (sort keys %{$$d}) { $$v.="\t$$k=\"$$d->{$$k}\"\n" if $$k ne "DWWW_TITLE"; } while (<>) { s/#VERSION#/$(VERSION)/g; s/^.*#DWWWVARS#.*$$/$$v/g; print; }' \
-		< $< > $@
+	perl -e '					\
+		use lib "."; 				\
+		use Debian::Dwww::Initialize; 		\
+		$$d=&DwwwInitialize;			\
+		$$v="";					\
+		foreach $$k (sort keys %{$$d}) {	\
+			$$v.="\t$$k=\"$$d->{$$k}\"\n" 	\
+				if $$k ne "DWWW_TITLE";	\
+		}					\
+		while (<>) {				\
+			s/#VERSION#/$(VERSION)/g;  	\
+			s/^.*#DWWWVARS#.*$$/$$v/g;	\
+			print;				\
+		}'					\
+	  < $< > $@
 	touch -r $< $@

=== debian/changelog ===
dwww (1.9.23) unstable; urgency=low

  * realpath: implement --zero option (closes: #307018), update man page.
  * Correct German translation of debconf templates (closes: #312410)
    Thanks to Jens Seidel <jensseidel@users.sf.net>.
  * Depend on httpd-cgi, not on httpd (closes: #186395).
  * Build-depend on the newest debhelper to have menu file moved to
    /usr/share/menu.
  * Dwww/*.pm: use perl built-in functions to get date and hostname instead 
    of spawning external programs.
  * Standards-Version: 3.6.2.

 -- Robert Luberda <robert@debian.org>  Thu, 23 Jun 2005 22:56:34 +0200

dwww (1.9.22) unstable; urgency=low

  * Add Vietnamese translation of debconf templates (closes: #311600).
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * dwww-build: refer to external BTS documentation if the doc-debian
    is not installed (closes: #309951).
  * dwww-build: use Cwd 'realpath' instead of local no-op function.

 -- Robert Luberda <robert@debian.org>  Sun,  5 Jun 2005 16:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 4.1.25), po-debconf, publib-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 4.9), publib-dev
+Standards-Version: 3.6.2
 
 Package: dwww
 Architecture: any
 Section: doc
-Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
+Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
 Recommends: info2www, dlocate (>= 0.5-0.1), apt
 Suggests: links | www-browser, doc-debian, swish++, dpkg-www
 Description: Read all on-line documentation with a WWW browser

## dwww 1.9.27

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile,v 1.27 2005/04/07 23:40:08 robert Exp $"
+# "@(#)dwww:$Id: Makefile,v 1.28 2006-01-14 11:06:21 robert Exp $"
 #
 
 VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')
@@ -9,6 +9,7 @@
 CFLAGS	= -Wall -Wstrict-prototypes -Wmissing-prototypes -DVERSION='"$(VERSION)"' 
 LDFLAGS	=
 LIBS	= -lpub
+PERL	= /usr/bin/perl
 
 
 ifeq (,$(findstring nodebug,$(DEB_BUILD_OPTIONS)))
@@ -70,20 +71,22 @@
 
 
 %::%.in $(source_links)
-	perl -e '					\
-		use lib "."; 				\
-		use Debian::Dwww::Initialize; 		\
-		$$d=&DwwwInitialize;			\
-		$$v="";					\
-		foreach $$k (sort keys %{$$d}) {	\
-			$$v.="\t$$k=\"$$d->{$$k}\"\n" 	\
-				if $$k ne "DWWW_TITLE";	\
-		}					\
-		while (<>) {				\
-			s/#VERSION#/$(VERSION)/g;  	\
-			s/^.*#DWWWVARS#.*$$/$$v/g;	\
-			print;				\
-		}'					\
+	# try to be compatible with the both sarge and sid versions of make
+	PERL5LIB="." $(PERL)  -e \
+	'exec ("'$(PERL)'", "-e", join("",@ARGV)) if $$#ARGV >-1; '\
+	'	$$|=1;					'\
+	'	use Debian::Dwww::Initialize; 		'\
+	'	$$d=&DwwwInitialize;			'\
+	'	$$v="";					'\
+	'	foreach $$k (sort keys %{$$d}) {	'\
+	'		$$v.="\t$$k=\"$$d->{$$k}\"\n"	'\
+	'			if $$k ne "DWWW_TITLE";	'\
+	'	}					'\
+	'	while (<>) {				'\
+	'		s/#VERSION#/$(VERSION)/g;  	'\
+	'		s/^.*#DWWWVARS#.*$$/$$v/g;	'\
+	'		print;				'\
+	'	}					'\
 	  < $< > $@
 	touch -r $< $@

=== debian/changelog ===
dwww (1.9.27) unstable; urgency=low

  * Fix FTBFS with new make (closes: #347357).
  * Initial translations of debconf templates:
    + Swedish (closes: #339547)
    + Portuguese (closes: #336926).
  * realpath.1: add reference to basename(1) and dirname(1) (closes: #342149).
  * menu-method: update path for install-menu program (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 14 Jan 2006 12:06:10 +0100

dwww (1.9.26) unstable; urgency=low

  * dwww.cgi: delete unsafe environment variables like IFS (closes: #330663).
  * dwww-refresh-cache: fix the find command warnings (closes: #328721).
  * Install searchplugins for mozilla & firefox (closes: #328945).

 -- Robert Luberda <robert@debian.org>  Wed,  5 Oct 2005 22:06:41 +0200

dwww (1.9.25) unstable; urgency=low

  * dwww.postinst: Fix confusing error message when $cgiuser is set to
    "root" (closes: #326796).
  * dwww-find: Remove the newly introduced 'Tag:' field from packages
    descriptions.
  * Fix possible bashisms as found by lintian in the maintainer scripts.

 -- Robert Luberda <robert@debian.org>  Fri, 16 Sep 2005 00:27:35 +0200

dwww (1.9.24) unstable; urgency=low

  * Initial Czech translation of debconf messages (closes: #315836).
    Thanks to Miroslav Kure <kurem(at)upcase.inf.upol.cz>.
  * dww-index++: change temporary file name, so it can be eventually
    cleaned by dwww-refresh-cache.

 -- Robert Luberda <robert@debian.org>  Sat, 16 Jul 2005 21:09:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: dwww
 Architecture: any
 Section: doc
-Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
+Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.24), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
 Recommends: info2www, dlocate (>= 0.5-0.1), apt
 Suggests: links | www-browser, doc-debian, swish++, dpkg-www
 Description: Read all on-line documentation with a WWW browser

## dwww 1.10.0

=== debian/changelog ===
dwww (1.10.0) unstable; urgency=low

  * Upload to unstable.
  * Summarise the most important changes made from the last unstable
    version in debian/NEWS.
  * Update man pages.
  * dwww.prerm: remove /var/www/dwww on package removal.

 -- Robert Luberda <robert@debian.org>  Sun,  4 Jun 2006 16:54:48 +0200

dwww (1.9.95) experimental; urgency=low

  * Move perl modules to perl/Debian/Dwww dir.
  * dwww-convert: Re-add support for DWWW_USEFILEDIR.
  * dwww-find: fix a typo.
  * dwww.links: move firefox search plugin to /usr/share/firefox dir.
  * debian/dwww.cron.*: remove unneeded source'ing the functions.sh file.
  * debian/*: bump to debhelper v5.
  * README: remove the note about apache2.
  * Remove realpath sources.
  * dwww.templates, po/*: fix `malformed-prompt-in-templates' lintian 
    warning by replacing ending dots with colons.
  * Standards-Version: 3.7.2 (no changes needed).
  * Remove unneeded source.linian-overrides file.

 -- Robert Luberda <robert@debian.org>  Tue, 30 May 2006 21:32:03 +0200

dwww (1.9.94) experimental; urgency=low

  * Stop building the realpath package, which was moved to its own source
    package.

 -- Robert Luberda <robert@debian.org>  Sun,  7 May 2006 21:50:21 +0200

dwww (1.9.93) experimental; urgency=low

  * Common.pm: add missing slash for dirs URL (closes: #365552).
  * dwww-find: include links for some common package files, like copyright,
    changelogs or READMEs.
  * control: lower the menu package dependency.
  * dwww-build: description for man pages' section 3xp.

 -- Robert Luberda <robert@debian.org>  Thu,  4 May 2006 21:52:38 +0200

dwww (1.9.92) experimental; urgency=low

  * dwww.cgi: thttpd is broken and won't work with dwww (see bug#164306),
    warn users about it.
  * Utils.pm, dwww-build*: Add RenameDir() function, which uses rename()
    or File::NCopy::copy() to rename the temporary directory into the real
    one (closes: #363319).
  * Move GetURL() funcions from various perl scripts to newly added Common.pm
    module.
  * debian/control: Add dependency on libfile-ncopy-perl for the above change.
  * COPYING: Update FSF address.
  * dwww-format-man: rewrite in Perl to avoid su with its new behaviour.
  * Update dwww-format-man(8) page.
  * dwww-convert, dwww.cgi: add and pass new internal option (--no-path-info)
    to mark the arguments as using the old-style dwww URLs (i.e. not using
    PATH_INFO variable).
  * lib/dwww.template: use the new-style URL for the /usr/share/doc directory.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 23:37:15 +0200

dwww (1.9.91) experimental; urgency=low

  * dwww-build, dwww-build-menu: generate dwww HTML dir directly 
    in DWWW_DOCROOTDIR (i.e. /var/www/) (closes: #337158) to make 
    dwww work with thttpd.
  * lib/*: use GET instead of POST for form submission (closes: #356023).
  * dwww.menu-method: add removemenu entry (closes: #358046).
  * apache.conf: remove alias for /dwww, use /var/www/dwww in Directory entry.
  * preinst:
    + remove /var/lib/dwww/html dir on upgrade to this version.
    + also remove some old stuff from the script.
  * Add support for searching packages containing file given by user:
    + lib*: include link for "Find package" using %MENUADD% and %FILEURL%
      variables.
    * dwww-convert: support those variables.
    + dwww-find: add --docfile argument.
    + moved printing HTTP headers from dwww-cgi to dwww-find.
  * Utils.pm: show the correct message in CheckAccess().

 -- Robert Luberda <robert@debian.org>  Sat, 25 Mar 2006 14:27:02 +0100

dwww (1.9.90) experimental; urgency=low

  * Pass file locations using the PATH_INFO variable, not the QUERY_STRING.
    This allows us to send HTML files directly to client, without any
    convertions, so any embeeded javascript will just work (closes: #265573).

  * dwww.cgi, dwww-build, and others: update for the above change.
  * dwww-convert:
    + rewritten in Perl
    + use MIME:Types module for handling mime types.
    + move access checking code to Dwww::Utils.
    + drop html2html and css2css conversions code, no longer needed.
    + temporary drop handling of USE_FILEDIR, will be readded soon.
  * Dwww/Initialize.pl: split DWWW_DOCPATH & ALLOWEDLINKPATH into array
    for better access in other modules.
  * Dwww/Utils.pl:
    + Add CheckAccesss & StripDir functions, to check if we're allowed to
      show the requested file to client. Now we're using Cwd::realpath
      module instead of realpath(1) program.
    + Add RedirectToURL and ErrorMsg functions.
  * dwww-txt2html: add links to CVE and CAN lists.
  * debian/control: add dependency on libmime-types-perl & mime-support,
    drop dependency on realpath.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Feb 2006 16:19:41 +0100

dwww (1.9.28) unstable; urgency=low

  * dwww-convert: while converting man pages pass `-Tascii8' argument to
    the man program. With this argument man seems not to filter the page
    with col(1). See Bug#340673.
  * Dwww/Initialize.pm: close filehandle used to read the dwww.conf file.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Jan 2006 12:05:47 +0100

=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 5), publib-dev
Standards-Version: 3.7.2

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.24), doc-base (>= 0.7.17), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
Recommends: info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian, swish++, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.

## dwww 1.10.3

=== debian/changelog ===
dwww (1.10.3) unstable; urgency=low

  * Initial Russian translation of debconf templates (closes: #406243).
    Thanks to Yuri Kozlow.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2007 13:16:09 +0100

dwww (1.10.2) unstable; urgency=low

  * swish++.conf: Half a value of `WordThreshold' and add `StoreWordPositions
    no' to make index++ consume less memory and disk space (closes: #352774).

 -- Robert Luberda <robert@debian.org>  Sat,  6 Jan 2007 18:04:30 +0100

dwww (1.10.1) unstable; urgency=high

  * Applied NMU patch from Frank Küster, see previous log entry.
    Thanks, Frank! (Note however the NMU was never uploaded).
  * debian/postinst:
    + restart all apache web servers, not apache2 only;
    + use invoke-rc.d to do the job.
  * dwww-find:
    + set proper type for links generated by SearchDocFile();
    + BasePkgFiles(): make regexp not to fail on packages' names containing
      metacharacters (e.g. `swish++').

 -- Robert Luberda <robert@debian.org>  Mon,  1 Jan 2007 22:53:01 +0100

dwww (1.10.0-0.1) unstable; urgency=high

  * NMU to fix RC, important and l10n bugs
  * Change firefox to iceweasel in dwww.links.  This broke installing
    iceweasel when dwww was present, hence the urgency. (closes: #404775,
    #404662) 
  * In postinst, restart apache2 if it is running (closes: #374665)
  * Use readlink -f instead of realpath, which isn't available in the
    packages dwww depends on (closes: #404666)
  * Spanish debconf translation update, by Steve Lord Flaubert
    <stonescenter@gmail.com> and others (closes: #397061, #404748,
    #396474, #385051)

 -- Frank Küster <frank@debian.org>  Thu, 28 Dec 2006 17:58:59 +0100

## dwww 1.10.5

=== debian/changelog ===
dwww (1.10.5) unstable; urgency=low

  * dwww.cgi (comment at the top): Replace reference to README.Debian
    with an instruction how to enable CGI in apache2 (closes: #417095).

 -- Robert Luberda <robert@debian.org>  Sun, 01 Apr 2007 20:58:35 +0200

dwww (1.10.4) unstable; urgency=medium

  * dwww.menu-method: check for existance of the /var/lib/dwww/menu-method
    directory (used for backward compatibilty reasons) before trying to remove
    files from that location.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 22:23:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
prefix=$(CURDIR)/debian/$(shell dh_listpackages)

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/dwww.
	$(MAKE) prefix=$(prefix) install

	install -p -m 0644 apache.conf \
                        $(prefix)/etc/dwww/apache.conf
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dwww 1.10.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile,v 1.28 2006-01-14 11:06:21 robert Exp $"
+# "@(#)dwww:$Id: Makefile,v 1.30 2006-05-30 18:56:29 robert Exp $"
 #
 
 VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')
@@ -42,17 +42,16 @@
 cachedir 	= $(prefix)/var/cache/dwww
 webdocrootdir 	= $(prefix)/var/www
 webcgidir	= $(prefix)/usr/lib/cgi-bin
-perlmoddir=$(prefix)/usr/share/perl5/Debian/Dwww
+perlmoddir	= $(prefix)/usr/share/perl5/Debian/Dwww
 
-perlmodules	= Dwww/*.pm
-source_links	= Debian
+perlmodules	= perl/Debian/Dwww/*.pm
 
 
 links_end	= dwww-convert.dir.end dwww-convert.end dwww-find.end 
 
 lib		= lib/[!Ceio]* lib/img/[!C]*
 editorial	= lib/editorial/*.html
-bin		= realpath dwww
+bin		= dwww
 cgi		= dwww.cgi
 sbin		= dwww-convert dwww-build dwww-cache dwww-find \
 		  dwww-quickfind  dwww-txt2html dwww-format-man \
@@ -61,18 +60,18 @@
 man1		= man/*.1
 man8		= man/*.8
 
-generated	= realpath dwww-cache dwww-quickfind dwww-txt2html \
-		  Dwww/Version.pm functions.sh
+generated	= dwww-cache dwww-quickfind dwww-txt2html \
+		  perl/Debian/Dwww/Version.pm functions.sh
 
 perlprogs       = dwww-find dwww-build-menu dwww-index++
 testprogs       := $(patsubst %,%.test,$(perlprogs))
 
-all: $(source_links) $(generated)
+all:  $(generated)
 
 
-%::%.in $(source_links)
+%::%.in 
 	# try to be compatible with the both sarge and sid versions of make
-	PERL5LIB="." $(PERL)  -e \
+	PERL5LIB="./perl" $(PERL)  -e \
 	'exec ("'$(PERL)'", "-e", join("",@ARGV)) if $$#ARGV >-1; '\
 	'	$$|=1;					'\
 	'	use Debian::Dwww::Initialize; 		'\
@@ -95,9 +94,6 @@
 dwww-txt2html: dwww-txt2html.o utils.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-realpath: realpath.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
-
 dwww-cache: dwww-cache.o utils.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 	
@@ -112,7 +108,6 @@
 	ln -s . $@
 
 clean:
-	rm -f $(source_links)
 	rm -f core *.o $(generated)
 	rm -f $(testprogs)
 
@@ -140,7 +135,7 @@
 #	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
 #	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
 	install -p -m 0755 $(cgi) $(webcgidir)/dwww
-	ln -s /var/lib/dwww/html $(webdocrootdir)/dwww
+	install -d -m 0755 $(webdocrootdir)/dwww
 	install -p -m 0755 $(bin) $(bindir)
 	install -p -m 0755 $(sbin) $(sbindir)
 	install -p -m 0644 $(perlmodules) $(perlmoddir)
@@ -151,10 +146,10 @@
 %.test::%
 	rm -f $@
 	echo "#!/usr/bin/perl" > $@
-	echo "use lib \".\";"  >> $@
+	echo "use lib \"./perl\";"  >> $@
 	sed -e 's/\/usr\/share\/dwww/lib/g'  $< >> $@
 	chmod 555 $@
 
-test: $(testprogs) $(source_links)
+test: $(testprogs) 
 
 .PHONY: all debug clean install installdirs test

=== debian/changelog ===
dwww (1.10.9) unstable; urgency=low

  * Read doc-base files from /var/lib/doc-base/documents.
  * Bump dependency on doc-base.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Dec 2007 14:33:15 +0100

dwww (1.10.8) unstable; urgency=low

  * Switch dependency to apache2|httpd-cgi, since apache has been removed from
    sid.

 -- Robert Luberda <robert@debian.org>  Wed, 17 Oct 2007 15:51:16 +0200

dwww (1.10.7) unstable; urgency=low

  * dwww-convert: set the MAN_KEEP_FORMATTING environment variable before
    calling man, remove `-Tascii8' option from man added in dwww 1.9.28.
  * debian/control: bump man-db dependency to >> 2.5.0.
  * dww-find:
    + support the Homepage control field;
    + try to avoid shell while executing external commands.

 -- Robert Luberda <robert@debian.org>  Mon, 15 Oct 2007 20:26:57 +0200

dwww (1.10.6) unstable; urgency=low

  * Don't override encoding of html documents (closes: #403180).
  * Fix lintian's ` debian-rules-ignores-make-clean-error' warning.
  * Set mime type of shtml files to text/html.

 -- Robert Luberda <robert@debian.org>  Tue, 25 Sep 2007 23:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: dwww
 Architecture: any
 Section: doc
-Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.24), doc-base (>= 0.7.17), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
+Depends: apache2 | httpd-cgi, man-db (>> 2.5.0), file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.24), doc-base (>= 0.8.7), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
 Recommends: info2www, dlocate (>= 0.5-0.1), apt
 Suggests: links | www-browser, doc-debian, swish++, dpkg-www
 Description: Read all on-line documentation with a WWW browser

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-	#-$(MAKE) distclean
+	$(MAKE) clean
 
 	dh_clean

## dwww 1.10.15

=== Makefile ===
--- 
+++ 
@@ -1,29 +1,21 @@
 #
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile,v 1.30 2006-05-30 18:56:29 robert Exp $"
+# "@(#)dwww:$Id: Makefile 494 2008-05-26 18:41:18Z robert $"
 #
 
 VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')
 
 CC	= gcc
-CFLAGS	= -Wall -Wstrict-prototypes -Wmissing-prototypes -DVERSION='"$(VERSION)"' 
+CFLAGS	= -Wall -Wstrict-prototypes -Wmissing-prototypes -g -DVERSION='"$(VERSION)"' 
 LDFLAGS	=
 LIBS	= -lpub
 PERL	= /usr/bin/perl
 
 
-ifeq (,$(findstring nodebug,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -g
-endif
-
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   CFLAGS += -O0
 else
   CFLAGS += -O2
-endif
-
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-  LDFLAGS += -s
 endif
 
 
@@ -135,7 +127,6 @@
 #	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
 #	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
 	install -p -m 0755 $(cgi) $(webcgidir)/dwww
-	install -d -m 0755 $(webdocrootdir)/dwww
 	install -p -m 0755 $(bin) $(bindir)
 	install -p -m 0755 $(sbin) $(sbindir)
 	install -p -m 0644 $(perlmodules) $(perlmoddir)

=== debian/changelog ===
dwww (1.10.15) unstable; urgency=low

  * Upload to unstable.
  * Add Galician translation of debconf templates (closes: #482671).
  * Exclude /var/www/dwww from binary package (lintian).

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2008 20:23:07 +0200

dwww (1.10.14) experimental; urgency=low

  * Remove menu-method file and completely drop support for registering docs
    with menu files.
  * dwww-txt2html.c: 
    + better support for UTF8-encoded documents;
    + add --utf8 option;
    + refactor code;
    + handle basic CSI sequences.
  * dwww-txt2html(8): updated.
  * dwww-refresh-cache: remove dwww-build-menu* temporary dirs. 
  * dwww-quickfind, dwww-refresh-cache, dwww-find: add support for displaying
    other packages built from the same source (closes: #49353, as all other
    things mentioned is have been already fixed).
  * dwww-convert: use `man -E' to show man pages in UTF-8.
  * control: remove dependency on menu, bump dependency on man-db.

 -- Robert Luberda <robert@debian.org>  Tue, 13 May 2008 22:09:32 +0200

dwww (1.10.13) unstable; urgency=medium

  * dwww-build-menu: Don't fail if no documents are registered with doc-base.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Apr 2008 12:35:29 +0200

dwww (1.10.12) unstable; urgency=medium

  * dwww-build-menu, dwww-index++: don't parse /var/lib/dwww/menu-methods
    compatibility dir. This means that support for old method of registering
    docs with dwww is effectively dropped (however update-menus still is
    used until doc-base switches to call dwww-update-menu directly).
  * dwww-build-menu(8): updated for the above change.
  * dwww.preinst: run background building of dwww pages in a new session to
    avoid apt bug#463030.
  * dwww-cache.c: print real help message.
  * dwww-refresh-case: also clean temporary dirs left by dwww-build and
    dwww-build-menu.

 -- Robert Luberda <robert@debian.org>  Thu, 10 Apr 2008 21:25:39 +0200

dwww (1.10.11) unstable; urgency=low

  * dwww-convert, dwww-find, dwww-quickfind:
    + pass "--" before arguments to external commands call,
    + add support for "--" options' separator.
  * Build with debhelper v6.
  * debian/copyright: add copyright notice (lintian).
  * lib/menu*start: set charset to UTF-8.
  * debian/control: bump dependency on doc-base.
  * dwww-convert: fix setting encoding of copyright and changelogs files,
    which got broken in 1.10.6.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Feb 2008 11:49:32 +0100

dwww (1.10.10) unstable; urgency=low

  * dwww-index++:
    + apply patch with improvements from Ian Zimmerman (closes: #454757),
    + rewrite and refactor the code,
    + add support  for incremental indexing (closes: #454612). By default
      generate full index each month and incremental index each week.
  * dwww-refresh-cache: made it work when /var/cache/dwww is a symlink.
  * cron.weekly: use ionice(1) to set the lowest io scheduling class.
  * Add support for https protocol (closes: #456371).
  * Remove empty /u/s/lintian/overrides directory (lintian).
  * Standards-Version: 3.7.3 (no changes).
  * Update documentation.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Dec 2007 18:12:58 +0100

=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 6), publib-dev
Standards-Version: 3.7.3

Package: dwww
Architecture: any
Section: doc
Depends: apache2 | httpd-cgi, man-db (>> 2.5.2), file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, doc-base (>= 0.8.12), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
Recommends: info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian, swish++, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.

## dwww 1.11.1ubuntu1

=== debian/changelog ===
dwww (1.11.1ubuntu1) karmic; urgency=low

  * Fix FTBFS by removing -Werror in common.mk
  * debian/control:
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 23 Jun 2009 22:24:29 +0800

dwww (1.11.1) unstable; urgency=low

  * dwww.css.in: 
    + move logo from main background to head background;
    + apply a few additional Harold's fixes.
  * dwww-build: add support for local user CSS file.
  * Move the dwww man page from secion 8 to more appropriate section 7, 
    update references in other pages and README file.
  * dwww(7): describe how to customize dwww style sheets.
  * debian/NEWS: announce the design changes.
  * mozilla/dwww.png: converted from dwww.gif, made transparent.
  * dwww-refresh-cache: don't exclude half-configured packages.
  * dwww-txt2html.c: fix bug in utf8hyphen to '-' coversion, and remove
    some debugging output, both introduced in previous version.
  * common.mk: pass -Werror to gcc.
  * Refer to GPL-2 in copyright (lintian). 

 -- Robert Luberda <robert@debian.org>  Sun, 15 Feb 2009 18:51:39 +0100

dwww (1.11.0) experimental; urgency=low

  * Apply a patch from Harold Melton (kv5r at kv5r.com) for a better design 
    of dwww-generated pages with a light peach background (closes: #180733),
    menu bar, and larger pre/code/tt mono face for the man pages, much more 
    suitable for the newer 1280x1024 LCD monitors with sub-pixel anti-aliasing.
    His changes are:
    + Added css file manuals.css;
    + Change most dwww template files;
    + Minor output-related  changes in dwww.cgi, dwww-build, dwww-build-menu, 
      dwww-convert, dwww-find and Utils.pm;
    + Changed iso-8859-1 to UTF-8 in all files, for compatibility with some
      of the newer documentation (some were displaying wacky characters).
    + Logos: created a ubuntu.png; recreated a better debian.png.
   Many thanks for the patch, Harold!

  * Rename manuals.css to dwww.css.
  * Standardise menu bar in `by name' and `by section' man indices.
  * dwww-txt2html.c: convert utf8hyphen to '-'.
  * Add desktop file based on patch from the bug log (closes: #478845),
    but with the following changes:
    + remove encoding line (lintian);
    + exec dwww(1) instead of x-www-browser (lintian).
  * dwww-build-menu: don't display "..." when menu section is expanded.
  * dwww-build, Utils.pm: don't specify widths for cells of `man by name'
    table.
  * Fix minus as hyphen usage in dwww-index++(8), dwww-convert(8), dwww(8),
    and dwww-build-menu(8) man pages.
  * Reorganise source tree:
    + rename lib to data;
    + make dirs src and scripts and move there files from top-level directory;
    + move templates to data/templates;
    + move mozilla-dwww.* files to data/mozilla;
    + remove dwww.man.template, it's no used;
    + compile with -Wextra, fix warnings;
    + use build system from doc-base.
  * dwww-text2html: add support for LP: tags.
  * dwww-convert: ignore broken links in BuiltinDwww2HTML().
  * Reorganise binary tree:
    + move template files to new templates sub-directory of /usr/share/dwww;
    + move mozilla files to new mozilla sub-dir.
  * dwww-links: put link into /usr/share/iceape instead of /usr/lib/mozilla.
  * Made binary package a bit different when compiled on Ubuntu:
    + use theirs logo on the dwww pages;
    + install searchplugins in unbranded directories.
  * Update copyright.
  * Standards-Version: 3.8.0 (no changes).
  * Remove 2nd "Section: doc" line from control file (lintian).
  * Bump debhelper compat version to 7. 

 -- Robert Luberda <robert@debian.org>  Fri, 30 Jan 2009 22:10:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dwww
 Section: doc
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 6), publib-dev
-Standards-Version: 3.7.3
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Build-Depends: debhelper (>= 7), publib-dev
+Standards-Version: 3.8.0
 
 Package: dwww
 Architecture: any
-Section: doc
 Depends: apache2 | httpd-cgi, man-db (>> 2.5.2), file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, doc-base (>= 0.8.12), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
 Recommends: info2www, dlocate (>= 0.5-0.1), apt
 Suggests: links | www-browser, doc-debian, swish++, dpkg-www

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,26 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
-# This file is public domain software, originally written by Joey Hess. 
+# This file is public domain software, originally written by Joey Hess.
+# $Id: rules 511 2009-01-10 23:59:42Z robert $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 prefix=$(CURDIR)/debian/$(shell dh_listpackages)
 
-build: build-stamp
-build-stamp:
+build: _build/build-stamp
+_build/build-stamp:
 	dh_testdir
+	mkdir -p _build
 
 	# Add here commands to compile the package.
 	$(MAKE)
 
-	touch build-stamp
+	touch "$@"
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -rf _build
 
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
@@ -28,14 +30,12 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/dwww.
-	$(MAKE) prefix=$(prefix) install
+	$(MAKE) DESTDIR=$(prefix) install
 
-	install -p -m 0644 apache.conf \
-                        $(prefix)/etc/dwww/apache.conf
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -60,6 +60,7 @@
 	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
+	dh_desktop
 	dh_strip
 	dh_link
 	dh_compress
